@mixin app-determination-summary-theme($theme) {
	$primary: map-get($theme, primary);
	$warn: map-get($theme, warn);
	$accent: map-get($theme, accent);
	app-determination-summary {
		width: 100%;
		padding: 5px;
		overflow-x: hidden;
	}
	.determination-summary {
		margin-top: 25px !important;
		display: flex;
		flex-direction: column;
		background-color: mat-color($primary, 50);
		input {
			text-transform: uppercase;
        }
        .determination-summary-main-card {
			display: flex;
			flex-direction: column;
			margin-top: 7px;
			padding: 0px;
			background-color: mat-color($primary, 50);
			.mat-card-content {
				.mat-tab-label {
					background: #BDBDBD;
					border-radius: 10px 10px 0px 0px;
					margin-right: 10px;
					height: 30px !important;
					padding: 10px;
          			font-size: 1.1em;
          			margin-top: 10px;
				}
				.mat-tab-label-active {
					opacity: 1 !important;
					background-color: mat-color($primary);
					color: white;
				}
				.mat-tab-label-content {
					padding: 0!important;
					width: 100%;
				}
				.determination-summary-small-box {
					display: flex;
					align-items: center;
					justify-content: center;
					background: white;
					.table-filters-header {
						width: 100%;
						background-color: white;
						border: 1px solid #eaf0fb;
						.table-top-icons {
							mat-icon {
								padding: 5px;
							}
							mat-icon:hover {
								cursor: pointer;
								color: mat-color($warn);
							}
						}
					}
					.determination-summary-container {
						width: 100%;
						margin-right: 10px;
						margin-left: 10px;
						form {
							padding-left: 10px;
							padding-right: 10px;
							padding-bottom: 10px;
						}

						.label-bold
						{
							font-weight: bold;
						}

						.label-margin-left-10
						{
							margin-left: 10px;
							margin-top: 10px;
						}

						.label-color-red{
							color: red;
						}

						.margin-top-5
						{
							margin-top: 5px;
						}

						.margin-top-10
						{
							margin-top: 10px;
						}

						.margin-top-12
						{
							margin-top: 12px;
						}

						.green-background{
							background-color: lightgreen;
						}

						.grid-cell-bg{
							background-color: #FEFAC0;
						}

						.checkbox-style {
							padding-right: 8px;
						}

						.checkbox-label-style {
							padding-right: 10px;
							//line-height: 1px;
						}

						.levelofapprove-container {
							display: flex;
						  }
						
						div .radio-button-space
						{
						width: 75px !important;
						display: inline-block;
						}  

						.disableDiv{
							pointer-events:none;
						}
						  
						.span-width-20
						{
							width: 20px;
						}

						.condition-label-hint1 {
							order: 1;
							padding-right: 0.1em;
							margin-top: 3px !important;
						  }

						.condition-Recommendation-table {
							border: 1px solid #bdc3c7;
							width: 100%;
							th {
								background-color: #f5f7f7;
								color: #707171;
								font-weight: 600;
							}
							td, th  {
								padding: 6px;
								text-align: center;
								border: 1px solid #d9dcde;
							}
							td {
								font-weight: 400;
							}
							td:not(:last-child) {
								border-right: 1px solid transparent;
							}
							tr:nth-child(even) {
								background-color: #fbf8e7
							}
							.algin-left {
								text-align: left;
							}
						}
					}
				}
			}
			.mat-form-field-flex>.mat-form-field-infix {
				padding: 0.4em 0px !important;
				height: 15px;
			}
			.mat-form-field-label-wrapper {
				top: -1.5em!important;
			}
			.mat-form-field-wrapper {
				padding-bottom: .9em;
			}
			.mat-form-field-appearance-outline.mat-form-field-can-float.mat-form-field-should-float .mat-form-field-label {
				transform: translateY(-1.1em) scale(.75);
				width: 133.33333%;
			}
			mat-form-field {
				vertical-align: middle;
			}
			mat-card {
				padding: 5px;
				border-radius: 0;
			}	
		}
		.content-main {
			display: flex;
			flex-flow: column wrap;
			margin-bottom: 5px!important;
		  	.content-sub 
			{
				display: flex;
				align-items: center;
				.content-sub-button-parent-left {
					order: 1;
					flex: 1 1 auto;
					justify-content: flex-start;
				}
				.content-sub-button-parent-right {
					order: 2;
					flex: 1 1 auto;
					justify-content: flex-end;
					text-align: right;
				}
         	}     
      	}
	}
}
